Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vistech.events
Class ListSelectEvent

    java.lang.Object
      |
      +--java.util.EventObject
            |
            +--java.awt.AWTEvent
                  |
                  +--java.awt.event.ActionEvent
                        |
                        +--com.vistech.events.ListSelectEvent

All Implemented Interfaces:
  java.io.Serializable

public class ListSelectEvent
extends java.awt.event.ActionEvent
implements java.io.Serializable

This is an event-state class for the list select event. This class can be used for generating a ListSelectEvent object when files selected in a local directory or a jar file.

Version:
  2.0 12 dec 2001
Author:
  Lawrence Rodrigues
See Also:
  Serialized Form

Field Summary
`protected java.lang.String[]` | `fileList`
`protected java.io.File` | `path`

Fields inherited from class java.awt.event.ActionEvent
`ACTION_FIRST, ACTION_LAST, ACTION_PERFORMED, ALT_MASK, CTRL_MASK, META_MASK, SHIFT_MASK`

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, consumed, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, HIERARCHY_BOUNDS_EVENT_MASK, HIERARCHY_EVENT_MASK, id, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ListSelectEvent(java.lang.Object obj, java.lang.String command, java.io.File dir, java.lang.String[] flist)`

Method Summary
`java.lang.String[]` | `getFileList()`
`java.io.File` | `getPath()`

Methods inherited from class java.awt.event.ActionEvent
`getActionCommand, getModifiers, paramString`

Methods inherited from class java.awt.AWTEvent
`consume, finalize, getID, isConsumed, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### path

    protected java.io.File path

### fileList

    protected java.lang.String[] fileList

Constructor Detail

### ListSelectEvent

    public ListSelectEvent(java.lang.Object obj,
                           java.lang.String command,
                           java.io.File dir,
                           java.lang.String[] flist)

  Parameters:
    `obj` - source object where the event originated.
    `command` - the action associated with the event. When the ListSelectEvent is generated for jar files, this parameter may contain the the directory.
    `dir` - the local directory. In the of case of jar file, this parameter holds the jar file.
    `flist` - the list of file names. It must not include the path.

Method Detail

### getFileList

    public java.lang.String[] getFileList()

  Returns:
    the list of selected files.

### getPath

    public java.io.File getPath()

  Returns:
    the directory in which the files reside.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD